# setLogCompressEnabled method Null safety

Future<void> setLogCompressEnabled(

1. bool enabled

)

Enable or disable local log compression

If compression is enabled, the log size will significantly reduce, but logs can be read only after being decompressed by the Python script provided by Tencent Cloud. If compression is disabled, logs will be stored in plaintext and can be read directly in Notepad, but will take up more storage capacity.

Parameters:

enabled Specify whether to enable it, which is enabled by default

## Implementation

    Future<void> setLogCompressEnabled(bool enabled // Whether to enable
        ) {
      return _channel.invokeMethod('setLogCompressEnabled', {
        "enabled": enabled,
      });
    }